[darwinbuild-changes] [874] branches/PR-8416637/testing/darwinup/run-tests.sh

source_changes at macosforge.org source_changes at macosforge.org
Thu Sep 16 11:20:34 PDT 2010


Revision: 874
          http://trac.macosforge.org/projects/darwinbuild/changeset/874
Author:   wsiegrist at apple.com
Date:     2010-09-16 11:20:33 -0700 (Thu, 16 Sep 2010)
Log Message:
-----------
Fix return code check to account for magic number cleanup changes

Modified Paths:
--------------
    branches/PR-8416637/testing/darwinup/run-tests.sh

Modified: branches/PR-8416637/testing/darwinup/run-tests.sh
===================================================================
--- branches/PR-8416637/testing/darwinup/run-tests.sh	2010-09-16 18:13:51 UTC (rev 873)
+++ branches/PR-8416637/testing/darwinup/run-tests.sh	2010-09-16 18:20:33 UTC (rev 874)
@@ -330,42 +330,42 @@
 
 echo "========== TEST: Try replacing File with Directory =========="
 $DARWINUP install $PREFIX/rep_file_dir
-if [ $? -ne 1 ]; then exit 1; fi
+if [ $? -ne -1 ]; then exit 1; fi
 echo "DIFF: diffing original test files to dest (should be no diffs) ..."
 $DIFF $ORIG $DEST 2>&1
 if [ $? -ne 0 ]; then exit 1; fi
 
 echo "========== TEST: Try replacing File with Symlink =========="
 $DARWINUP install $PREFIX/rep_file_link
-if [ $? -ne 1 ]; then exit 1; fi
+if [ $? -ne -1 ]; then exit 1; fi
 echo "DIFF: diffing original test files to dest (should be no diffs) ..."
 $DIFF $ORIG $DEST 2>&1
 if [ $? -ne 0 ]; then exit 1; fi
 
 echo "========== TEST: Try replacing Directory with Symlink =========="
 $DARWINUP install $PREFIX/rep_dir_link
-if [ $? -ne 1 ]; then exit 1; fi
+if [ $? -ne -1 ]; then exit 1; fi
 echo "DIFF: diffing original test files to dest (should be no diffs) ..."
 $DIFF $ORIG $DEST 2>&1
 if [ $? -ne 0 ]; then exit 1; fi
 
 echo "========== TEST: Try replacing Directory with File =========="
 $DARWINUP install $PREFIX/rep_dir_file
-if [ $? -ne 1 ]; then exit 1; fi
+if [ $? -ne -1 ]; then exit 1; fi
 echo "DIFF: diffing original test files to dest (should be no diffs) ..."
 $DIFF $ORIG $DEST 2>&1
 if [ $? -ne 0 ]; then exit 1; fi
 
 echo "========== TEST: Try replacing Symlink with Directory =========="
 $DARWINUP install $PREFIX/rep_link_dir
-if [ $? -ne 1 ]; then exit 1; fi
+if [ $? -ne -1 ]; then exit 1; fi
 echo "DIFF: diffing original test files to dest (should be no diffs) ..."
 $DIFF $ORIG $DEST 2>&1
 if [ $? -ne 0 ]; then exit 1; fi
 
 echo "========== TEST: Try replacing Symlink with File =========="
 $DARWINUP install $PREFIX/rep_link_file
-if [ $? -ne 1 ]; then exit 1; fi
+if [ $? -ne -1 ]; then exit 1; fi
 echo "DIFF: diffing original test files to dest (should be no diffs) ..."
 $DIFF $ORIG $DEST 2>&1
 if [ $? -ne 0 ]; then exit 1; fi
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.macosforge.org/pipermail/darwinbuild-changes/attachments/20100916/4a807910/attachment-0001.html>


More information about the darwinbuild-changes mailing list